%define upstream_name VFSsimple-Drv-Rsync
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	WTFPL
Group:		Development/Perl
Summary:	A VFSsimple implementation over rsync protocol
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(URI)
BuildRequires:  rsync
BuildRequires:  perl(VFSsimple)
BuildArch: noarch



%description
This module provide access method for VFSsimple module to access to file
located on rsync server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-7.mga10
+ Revision: 2211946
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.30.0-6.mga9
+ Revision: 1830710
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-5.mga8
+ Revision: 1498142
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1272463
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1035683
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 968795
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 855410
- Update spec

* Sun Oct 19 2014 umeabot <umeabot> 0.03-10.mga5
+ Revision: 789273
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.03-9.mga5
+ Revision: 749002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.03-8.mga5
+ Revision: 686820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.03-7.mga4
+ Revision: 515878
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.03-6.mga3
+ Revision: 374681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.03-5.mga1
+ Revision: 29672
- mageia rebuild
- imported package perl-VFSsimple-Drv-Rsync


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.03-5mdv2010.0
+ Revision: 430653
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2009.0
+ Revision: 258755
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-3mdv2009.0
+ Revision: 246689
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 17 2007 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2008.1
+ Revision: 99441
- initial pkg
- Create perl-VFSsimple-Drv-Rsync

